View Issue Details

IDProjectCategoryView StatusLast Update
0000153ascendcompilerpublic2008-02-10 13:02
Reporterjohn 
Assigned Tojohn 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000153: Rejuvenate support for external functions
DescriptionThere used to be support for BlackBox and GlassBox external functions in ASCEND. This seems to be broken at the moment. It would be good to get it working again for a couple of purposes that I have: weather files, external code for solar angle calculations, external lookup tables, possible external thermo properties routines or CAPE-OPEN interfaces.
TagsNo tags attached.

Relationships

Activities

john

2005-12-24 05:04

administrator   ~0000209

In the absence of conditional solver capability, this will become a priority. Although there might be some options with 'slack variables' that still need to be explored.

john

2006-06-30 09:46

administrator   ~0000380

This is progressing now, see the 'extfn' branch in the svn repository.

john

2006-07-05 07:46

administrator   ~0000381

Fixed around changeset 883.

Ben will implement a new version, I will raise that as a feature request.

Issue History

Date Modified Username Field Change
2005-12-07 08:33 john New Issue
2005-12-07 08:35 john Category build-linux => compiler
2005-12-24 05:04 john Note Added: 0000209
2005-12-24 05:04 john Assigned To => john
2005-12-24 05:04 john Priority normal => high
2005-12-24 05:04 john Status new => assigned
2006-02-07 13:18 john Target release => 1.0
2006-02-07 13:22 john Target release 1.0 => 0.9.6
2006-06-30 09:46 john Note Added: 0000380
2006-07-05 07:46 john Status assigned => resolved
2006-07-05 07:46 john Fixed in Version => 0.9.6
2006-07-05 07:46 john Resolution open => fixed
2006-07-05 07:46 john Note Added: 0000381
2008-02-10 13:02 john Status resolved => closed